#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cli = void 0;
const tslib_1 = require("tslib");
const log_1 = tslib_1.__importDefault(require("./utils/log"));
exports.cli = async (args) => {
    const [command] = args.slice(2);
    if (!command) {
        log_1.default.error('Provide command');
        return;
    }
    try {
        const commandFn = require(`./commands/${command}.ts`);
        return commandFn.default(args.slice(3));
    }
    catch (err) {
        try {
            const commandFn = require(`./commands/${command}.js`);
            return commandFn.default(args.slice(3));
        }
        catch (err) {
            log_1.default.error('Bad command');
        }
    }
};
exports.cli(process.argv);
//# sourceMappingURL=index.js.map