"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const helpers_1 = require("../../utils/helpers");
const fs_1 = tslib_1.__importDefault(require("fs"));
const copyThemeFiles_1 = require("@vue-storefront/nuxt-theme/scripts/copyThemeFiles");
const getAllFilesFromDir_js_1 = tslib_1.__importDefault(require("@vue-storefront/nuxt-theme/scripts/getAllFilesFromDir.js"));
exports.default = async (integration, targetPath, omitFiles = []) => {
    const copyThemeFiles = (filesDir, targetPath, chopPhrase) => {
        if (fs_1.default.statSync(filesDir).isDirectory()) {
            return Promise.all(getAllFilesFromDir_js_1.default(filesDir).map(file => copyThemeFiles_1.copyFile(file, helpers_1.buildFileTargetPath(file, targetPath, chopPhrase))));
        }
        return copyThemeFiles_1.copyFile(filesDir, helpers_1.buildFileTargetPath(filesDir, targetPath, chopPhrase));
    };
    const integrationThemePath = helpers_1.getThemePath(`${integration}-theme`);
    const integrationThemeFiles = fs_1.default.readdirSync(integrationThemePath)
        .filter(fileName => !omitFiles.includes(fileName))
        .map(directory => path_1.default.join(integrationThemePath, directory));
    await Promise.all(integrationThemeFiles.map(absoluteDirectoryPath => copyThemeFiles(absoluteDirectoryPath, path_1.default.isAbsolute(targetPath)
        ? targetPath
        : path_1.default.join(__dirname, targetPath), integrationThemePath)));
};
//# sourceMappingURL=copyIntegrationTheme.js.map